cpw.mods.fml.common.event

## Class FMLMissingMappingsEvent

- java.lang.Object
- - cpw.mods.fml.common.event.FMLEvent
  - - cpw.mods.fml.common.event.FMLMissingMappingsEvent

-     public class FMLMissingMappingsEvent
      extends FMLEvent

  This event is fired if a world is loaded that has block and item mappings referring the mod that are not in existence. These can be remapped to other existing objects, or simply discarded. Use get() and getAll() to process this event.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FMLMissingMappingsEvent.Action` Actions you can take with this missing mapping.
    `static class` | `FMLMissingMappingsEvent.MissingMapping`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLMissingMappingsEvent(com.google.common.collect.ListMultimap<java.lang.String,FMLMissingMappingsEvent.MissingMapping> missingMappings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyModContainer(ModContainer activeContainer)`
    `java.util.List<FMLMissingMappingsEvent.MissingMapping>` | `get()` Get the list of missing mappings for the active mod.
    `java.util.List<FMLMissingMappingsEvent.MissingMapping>` | `getAll()` Get the list of missing mappings for all mods.

    - ### Methods inherited from class cpw.mods.fml.common.event.FMLEvent

      `getEventType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLMissingMappingsEvent

          public FMLMissingMappingsEvent(com.google.common.collect.ListMultimap<java.lang.String,FMLMissingMappingsEvent.MissingMapping> missingMappings)

  - ### Method Detail

    - #### applyModContainer

          public void applyModContainer(ModContainer activeContainer)

      Overrides:
        `applyModContainer` in class `FMLEvent`

    - #### get

          public java.util.List<FMLMissingMappingsEvent.MissingMapping> get()

      Get the list of missing mappings for the active mod. Process the list entries by calling ignore(), warn(), fail() or remap() on each entry.
      Returns:
        list of missing mappings

    - #### getAll

          public java.util.List<FMLMissingMappingsEvent.MissingMapping> getAll()

      Get the list of missing mappings for all mods. Only use this if you need to handle mod id changes, e.g. if you renamed your mod or split/merge into/from multiple mods. Process the list entries by calling ignore(), warn(), fail() or remap() on each entry you want to handle.
      Returns:
        list of missing mappings